---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2019-10-28
title: Dokumentation Übersicht
description: 'iStream Tools - Documentation Übersicht'
keywords: 'suggestions todo erweiterungen ideen'

---

# Dokumentation Übersicht

<div class="lead" markdown="1">
Hier und auf den Folgeseiten erfährst Du, was die iStream Tools sind, wie sie funktionieren, wie Du
  die iStream Tools einrichtest und in Dein Setup einbinden kannst.
</div>

## iStream Tools

iStream Tools auch Streamtool genannt sind eine neue noch nie da gewesene Zusammenstellung von
  Anwendungen (Apps) mit denen Du deine Streams und Deine Videos ergänzen kannst und damit die
  Zuschauer noch besser unterhalten und somit Deine Produktionen erfolgreicher machen kannst.

Das Konzept ist recht einfach. Du hast auf der einen Seite die verschiedenen Anwendungen oder
  Komponenten, die Du in die Encodersoftware, wie z.B. OBS-Studio einbinden kannst. Auf der anderen
  Seite hast Du eine Console (Streamdeck, Controller) mit dem Du diese Apps bedienen kannst.

Alle Apps sind vielseitig konfigurierbar. Auch die Console. So könntest Du z.B. eine Console für den
  Schnellzugriff auf bestimmte Funktionen für Dein Smartphone einrichten. Und eine Console mit allen
  Soundeffekten für ein Tablet sowie eine Console mit allen Funktionen für den Browser einrichten.

<img src="/images/obs-console-1.png">

Du kannst mehrere Apps des gleichen Typs für verschiedene Anwendungszwecke einrichten. Vielleicht
  verwendest Du verschiedene Szenen, dann kannst Du für jede Szene einen Videoplayer mit
  unterschiedlichen Einspielern einrichten. Oder verschiedene Slides (Präsentationen) in
  unterschiedlichen Grössen und / oder unterschiedlichem Inhalt. Mit den Slides lassen sich übrigens
  auch sogenannte Lowerthirds und sonstige automatische Slides einrichten.

## Userinterface (Konfiguration / Setup)

Bei der Konfiguration soll das gewünschte Ziel so schnell wie möglich erreicht werden können.
  Aus diesem Grund werden viele Dinge automatisch im Hintergrund abgewickelt. Und es soll alles so
  schnell wie möglich erreichbar sein. Du wirst also feststellen, dass manche Dinge näher liegen,
  als man das sonst von anderer Software her kennt.

Das Ganze folgt aber einem ganz einfachen Konzept.

Hier ein Screenshot von einer App, in diesem Fall Videoplayer, auf dem du die wichtigen
  Anlaufpunkte erkennen kannst.

<img src="/images/videoplayer-1.png">

- Die Seite selbst, steht für den Videoplayer.
- Im unteren Bereich siehst Du den ersten Videoplayer und ein Pluszeichen mit dem Du weitere
  Videoplayer erstellen kannst.
- Mit einem Klick auf einen dieser Videoplayer bist Du dann im Setup dieses Videoplayers.
- Auf der linken Seite ist die Vorschau mit einer Kontrollanzeige.
- Auf der rechten Seite ist alles, was du brauchst, um neue Inhalte einzufügen.
- Im oberen Bereich hast Du noch die Konfiguration, mit der Du den Videoplayer speziell konfigurieren
  kannst. Plus einem Umschalter für Testmodus und Setupmodus.

Das ist die grobe Übersicht, die bei allen Apps gleich ist. Die genaueren Beschreibungen der Details
  zu den einzelnen Apps findest Du auf der jeweiligen Hilfeseite.

## Grundsätzliche Vorgehensweise

Für jede App gilt. Du legst den Content fest. Entweder Du lädst eine entsprechende Datei (Video,
  Audio, Grafik) hoch oder Du erstellst einen Text (Ticker, Slides). Dieser neue Content resultiert
  in einem Schalter (Button), dem Du eine Farbe zuweisen kannst und für den du die Beschriftung
  anpassen kannst.

Die App selbst wird als Browsersource in die Encodersoftware eingebunden und platziert. Der
  zugehörige Schalter wird auf der Console platziert. Die Console wird in einem Browser (Desktop,
  Tablet, Smartphone) geöffnet. Nun kann mit einem Klick auf den Schalter der Inhalt der App
  gestartet werden.

<img src="/images/streamdeck-tablet.jpg" style="width: 100%;">

Das ist der generelle Workflow. Du kannst natürlich erst alle Apps mit dem kompletten Inhalt
  erstellen und dann die Console(n) einrichten. Andererseits musst Du aber auch nicht alles direkt
  fertigstellen. Du kannst jederzeit Anpassungen / Änderungen vornehmen. Inhalte hinzufügen,
  ändern, wieder löschen. Alles kein Problem.

## Betastatus

iStream Tools ist so weit fertig entwickelt, wie es der ersten Idee entspricht. Du findest also
  alle Funktionen und Möglichkeiten, wie es angedacht war. Während der Entwicklung sind viele neue
  Ideen hinzugekommen, und so wird iStream Tools wohl noch in der weiteren Zukunft erweitert werden.
  Alle Funktionen sind so weit fertig und getestet. Dennoch besteht die Möglichkeit, dass in einer
  besonderen nicht vorhersehbaren Konfiguration nicht alles so läuft wie es erwartet wird. Solltest
  Du auf solch einen Fall stossen oder sonst einen Bug entdecken, so scheue Dich nicht eine
  entsprechende Fehlermeldung abzugeben. Alles was Du tun musst, ist unter [Support](/docs/support.html)
  beschrieben.

## zusätzliche Dienste

iStream Tools besteht natürlich aus den Apps und der Console, die unter [streamtool.net](https://streamtool.net)
  eingerichtet werden können. Das komplette Konzept wird allerdings durch einige zusätzliche Dienste
  wie [stid.cc](https://stid.cc), [stlib.cc](https://stlib.cc) und [Space #1](https://space1.cc)
  abgerundet. Was diese Dienste sind und inwiefern sie Dir nützlich sein können, habe ich bei den
  [Komponenten](/docs/components/) beschrieben.
